Subject: Re: linux-next: manual merge of the xfs tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 5 Jun 2018 11:25:31 +1000

Hi Dave,

On Tue, 5 Jun 2018 10:59:04 +1000 Dave Chinner <[email-masked]> wrote:
>
> On Tue, Jun 05, 2018 at 10:34:03AM +1000, Stephen Rothwell wrote:
> >
> > Today's linux-next merge of the xfs tree got a conflict in:
> > 
> >   fs/gfs2/bmap.c
> > 
> > between commit:
> > 
> >   628e366df11c ("gfs2: Iomap cleanups and improvements")
> > 
> > from Linus' tree and commit:
> > 
> >   7ee66c03e40a ("iomap: move IOMAP_F_BOUNDARY to gfs2")
> > 
> > from the xfs tree.
> 
> We should have seen this before the gfs2 tree was merged into Linus'
> tree. Does that mean the gfs2 tree is not being pulled into the
> linux-next tree?

It is pulled in, but the above gfs2 commit was only committed to the
linux-next included branch overnight and then Linus was asked to pull
it before I got a chance to build today's linux-next.

-- 
Cheers,
Stephen Rothwell